package com.iformall.enums;

/**
 * Created by luozukai
 */
public enum EnumMsgMqTopic {
    DEFAULT("topic-1", "默认"),
    ;

    public static EnumMsgMqTopic getEnum(String code) {
        for (EnumMsgMqTopic value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private String code;
    private String message;

    EnumMsgMqTopic(String code, String message) {
        this.code = code;
        this.message = message;
    }

    public String getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
